summaryrefslogtreecommitdiff
path: root/tests/mv/hard-link-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/hard-link-1')
-rwxr-xr-xtests/mv/hard-link-168
1 files changed, 68 insertions, 0 deletions
diff --git a/tests/mv/hard-link-1 b/tests/mv/hard-link-1
new file mode 100755
index 0000000..7ce9176
--- /dev/null
+++ b/tests/mv/hard-link-1
@@ -0,0 +1,68 @@
+#!/bin/sh
+# move a directory containing hard-linked files and
+# make sure the links are preserved
+
+# Copyright (C) 1998, 1999, 2000, 2004, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+. $srcdir/../other-fs-tmpdir
+# Make sure we get English translations.
+. $srcdir/../lang-default
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test -z "$other_partition_tmpdir"; then
+ (exit 77); exit 77
+fi
+
+dir=hlink
+
+framework_failure=0
+mkdir $dir || framework_failure=1
+> $dir/a || framework_failure=1
+ln $dir/a $dir/b || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ (exit 1); exit 1
+fi
+
+mv $dir $other_partition_tmpdir || fail=1
+
+# Display inode numbers, one per line.
+ls -1i $other_partition_tmpdir/$dir > out || fail=1
+
+# Make sure the inode numbers are the same.
+a=`sed -n 's/ a$//p' out`
+b=`sed -n 's/ b$//p' out`
+test "$a" = "$b" || fail=1
+
+rm -fr out $dir $other_partition_tmpdir
+
+exit $fail